/* ==================================================================
 * Spread Client Extension for PHP
 * Copyright (c) 2001 George Schlossnagle
 * All rights reserved.
 * ==================================================================
 * This source code is made available free and without charge subject
 * to the terms of the PHP Group License as detailed in bundled LICENSE file.
 * ==================================================================
 * George Schlossnagle <george@omniti.com>
 * ==================================================================
*/

#ifndef PHP_APC_H
#define PHP_APC_H

#include "php.h"
#include "php_ini.h"

#include "zend.h"
#include "zend_API.h"
#include "zend_execute.h"
#include "zend_compile.h"
#include "zend_extensions.h"


extern zend_module_entry spread_module_entry;

PHP_MINIT_FUNCTION(spread);
PHP_RINIT_FUNCTION(spread);
PHP_MSHUTDOWN_FUNCTION(spread);
PHP_RSHUTDOWN_FUNCTION(spread);
PHP_MINFO_FUNCTION(spread);


#define spread_module_ptr &spread_module_entry

ZEND_BEGIN_MODULE_GLOBALS(spread)
	int default_conn;
ZEND_END_MODULE_GLOBALS(spread)

#define SpG(v) (spread_globals.v)
#endif
